## macaulay2-jupyter-kernel 0.6.7~beta

=== requirements.txt ===
ipykernel
jupyter_client
notebook
pexpect

=== debian/changelog ===
macaulay2-jupyter-kernel (0.6.7~beta-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Set upstream metadata fields: Repository.

  [ Doug Torrance ]
  * debian/make-macaulay2-js.m2
    - Update to use new generateGrammar function from Macaulay2's Style
      package.  In particular, stop loading make-M2-symbols.m2, which is
      no longer distributed (Closes: #1114194).
  * debian/control
    - Switch from dh-python to dh-sequence-python3 in Build-Depends.
    - Bump Standards-Version to 4.7.2.
    - Update Homepage
  * debian/copyright
    - Update Source
    - Update my copyright years.
  * debian/gbp.conf
    - Add file; set default branch to debian/latest.
  * debian/rules
    - Drop --with python3; redundant now that we depend on
      dh-sequence-python3.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 05 Sep 2025 15:07:36 -0400

macaulay2-jupyter-kernel (0.6.7~beta-3) unstable; urgency=medium

  * debian/clean
    - Clean up generated CodeMirror syntax highlighting file.
  * debian/control
    - Update Maintainer (now Debian Math Team).
    - Update my email address; now a Debian Developer.
    - Add macaulay2 to Build-Depends; needed to properly generate
      CodeMirror syntax highlighting code.
    - Bump Standards-Version to 4.6.1.
    - Update Vcs-* URL's (science-team -> math-team).
  * debian/copyright
    - Update my email address and bump copyright years.
  * debian/macaulay2.js.in
    - New file; source for CodeMirror syntax highlighting code.
  * debian/make-macaulay2-js.m2
    - New script to help generate CodeMirror syntax highlighting code.
  * debian/rules
    - Generate CodeMirror syntax highlighting code and overwrite the
      out-of-date version shipped by upstream.
  * debian/source/lintian-overrides
    - Update source-is-missing override to match output of newer versions
      of Lintian.
  * debian/watch
    - Update URL from releases to tags page.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 04 Oct 2022 06:24:42 -0400

macaulay2-jupyter-kernel (0.6.7~beta-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Thu, 14 Oct 2021 19:07:17 +0530

macaulay2-jupyter-kernel (0.6.7~beta-1) unstable; urgency=medium

  * Initial release (Closes: #989784).

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 07 Jul 2021 10:28:54 +0530

=== debian/control ===
Source: macaulay2-jupyter-kernel
Section: math
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               macaulay2,
               python3-all,
               python3-ipykernel,
               python3-notebook,
               python3-pexpect,
               python3-setuptools
Standards-Version: 4.7.2
Homepage: https://github.com/Macaulay2/Macaulay2-Jupyter-Kernel
Vcs-Browser: https://salsa.debian.org/math-team/macaulay2-jupyter-kernel
Vcs-Git: https://salsa.debian.org/math-team/macaulay2-jupyter-kernel.git
Rules-Requires-Root: no

Package: macaulay2-jupyter-kernel
Architecture: all
Depends: jupyter, macaulay2, ${misc:Depends}, ${python3:Depends}
Description: Jupyter kernel for Macaulay2
 Macaulay 2 is a software system for algebraic geometry research, written by
 Daniel R. Grayson and Michael E. Stillman.  Based on Groebner bases, it
 provides algorithms for computing homological invariants of rings and
 modules.
 .
 This package contains the Jupyter kernel for Macaulay2.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install: debian/macaulay2.js
	python3 -m m2_kernel.install \
		--prefix debian/macaulay2-jupyter-kernel/usr
	dh_install debian/macaulay2.js \
		usr/share/javascript/codemirror/mode/macaulay2/

debian/macaulay2.js:
	cd debian && M2 --script make-macaulay2-js.m2

=== debian/watch ===
version=4
opts=uversionmangle=s/-beta/~beta/ \
https://github.com/rz839/Macaulay2-Jupyter-Kernel/tags \
.*/v@ANY_VERSION@@ARCHIVE_EXT@

## macaulay2-jupyter-kernel 0.7.0

=== debian/changelog ===
macaulay2-jupyter-kernel (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Drop redundant Rules-Requires-Root field.
    - Drop Priority field; "optional" is now the default.
    - Bump Standards-Version to 4.7.3.
    - Add pybuild-plugin-pyproject to Build-Depends now that upstream uses
      pyproject.toml.
  * debian/copyright
    - Update my copyright years.
  * debian/gbp.conf
    - Set pristine-tar to True.
  * debian/install
    - New file; install CodeMirror mode.
  * debian/make-macaulay2-js.m2
    - Add comment that we continue to generate the legacy CodeMirror 5 mode
      for the Debian package despite it being removed upstream.
  * debian/patches/nbextension-prefix.patch
    - Remove patch; no longer necessary as upstream no longer installs a
      CodeMirror mode.
  * debian/rules
    - Move generation of CodeMirror mode to execute_after_dh_auto_build;
      makes more sense to be in this step since we're building something.
    - Stop installing CodeMirror mode in execute_after_dh_install, as it's
      now handled by dh_install.
    - New override_dh_compress target; don't compress example notebook files.
  * debian/source/lintian-overrides
    - Remove file; only override was for macaulay2.js, which is no longer
      distributed upstream.
  * debian/watch
    - Update url.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 20 Jan 2026 08:01:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: macaulay2-jupyter-kernel
 Section: math
-Priority: optional
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                macaulay2,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-ipykernel,
                python3-notebook,
                python3-pexpect,
                python3-setuptools
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/Macaulay2/Macaulay2-Jupyter-Kernel
 Vcs-Browser: https://salsa.debian.org/math-team/macaulay2-jupyter-kernel
 Vcs-Git: https://salsa.debian.org/math-team/macaulay2-jupyter-kernel.git
-Rules-Requires-Root: no
 
 Package: macaulay2-jupyter-kernel
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	cd debian && M2 --script make-macaulay2-js.m2

execute_after_dh_auto_install:
	python3 -m m2_kernel.install \
		--prefix debian/macaulay2-jupyter-kernel/usr

override_dh_compress:
	dh_compress -X.ipynb

## macaulay2-jupyter-kernel 0.8.0

=== docker/Makefile ===
push: # build
	docker tag testok rzlatev/m2jk
	docker push rzlatev/m2jk

run: # build
	docker run -p 8890:8890 testok

build:
	cp ../demo/test.ipynb .
	cp ../demo/demo.ipynb .
	docker build --tag testok . --no-cache

=== debian/changelog ===
macaulay2-jupyter-kernel (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean
    - Clean up the fake home directory.
  * debian/control
    - Remove python3-ipykernel, python3-notebook, and python3-pexpect
      from Build-Depends; no longer necessary.
    - Add jupyter-client, python3-html2text, python3-jupyter-kernel-test,
      and python3-metakernel to Build-Depends.
    - Add new Testsuite field w/ autopkgtest-pkg-pybuild.
  * debian/install
    - Install the kernel from its temporary location in the fake home
      directory.
  * debian/rules
    - Update kernel installation command.
    - Run generate-symbols.m2 to generate the auto-completion symbols.
    - Switch execute_after_dh_auto_build to execute_before_dh_auto_build.
      Now that we are also generating the auto-completion symbols, we want
      this to run before the package is built.
    - Switch execute_after_dh_auto_install target to
      execute_after_dh_auto_build; we need to install the kernel before
      running the test suite.
    - Set some environment variables during build.
      + HOME is needed because the kernel installation scribbles some
        things there and we need a writable directory.
      + JUPYTER_PATH is needed so the tests can find the newly-installed
        kernel.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 27 Jan 2026 20:11:31 -0500

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               jupyter-client,
                macaulay2,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-ipykernel,
-               python3-notebook,
-               python3-pexpect,
+               python3-html2text,
+               python3-jupyter-kernel-test,
+               python3-metakernel,
                python3-setuptools
 Standards-Version: 4.7.3
 Homepage: https://github.com/Macaulay2/Macaulay2-Jupyter-Kernel
 Vcs-Browser: https://salsa.debian.org/math-team/macaulay2-jupyter-kernel
 Vcs-Git: https://salsa.debian.org/math-team/macaulay2-jupyter-kernel.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: macaulay2-jupyter-kernel
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# kernel installation scribbles some things in the home directory, so it needs
# to be writable (e.g., /sbuild-nonexistent won't work).  this also lets us us
# use --user instead of --prefix below
export HOME = $(CURDIR)/fake-home

# so the tests can find the kernel
export JUPYTER_PATH = $(HOME)/.local/share/jupyter

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	M2 --script generate-symbols.m2
	cd debian && M2 --script make-macaulay2-js.m2

execute_after_dh_auto_build:
	python3 -m m2_kernel install --user

override_dh_compress:
	dh_compress -X.ipynb

=== debian/watch ===
version=4
opts=uversionmangle=s/-beta/~beta/ \
https://github.com/Macaulay2/Macaulay2-Jupyter-Kernel/tags \
.*/v@ANY_VERSION@@ARCHIVE_EXT@
